---
import type { Page } from "../types";
interface Props {
  breadcrumb: Page[];
}

const { breadcrumb } = Astro.props;

const currentPage = breadcrumb.pop();

breadcrumb.unshift({
  id: "",
  title: "Accueil",
  url: "/",
});
---

<nav
  role="navigation"
  aria-label="vous êtes ici :"
  class="fr-breadcrumb"
  data-fr-js-breadcrumb="true"
>
  <button
    aria-expanded="false"
    aria-controls="breadcrumb-192"
    class="fr-breadcrumb__button"
    data-fr-js-collapse-button="true"
  >
    Voir le fil d’Ariane
  </button>
  <div id="breadcrumb-192" class="fr-collapse" data-fr-js-collapse="true">
    <ol class="fr-breadcrumb__list">
      {
        breadcrumb.length &&
          breadcrumb.map((e) => (
            <li>
              <a
                href={e.url}
                class="fr-breadcrumb__link router-link-active"
                id={`breadcrumb__link-${e.id}`}
              >
                {e.title}
              </a>
            </li>
          ))
      }
      {
        currentPage && (
          <li>
            <a
              id={`breadcrumb__link-${currentPage.id}`}
              aria-current="page"
              class="fr-breadcrumb__link router-link-exact-active"
            >
              {currentPage.title}
            </a>
          </li>
        )
      }
    </ol>
  </div>
</nav>
